Search found 73 matches

Go to advanced search

by wafi
Thu Oct 17, 2019 6:27 pm
Forum: Forum in Deutsch
Topic: Spreadsheet Format Zelle
Replies: 6
Views: 143

Re: Spreadsheet Format Zelle

chris

PERFEKT!

da wäre ich nie drauf gekommen, es klappt jetzt. Danke

Gruß
Peter
by wafi
Thu Oct 17, 2019 5:08 pm
Forum: Forum in Deutsch
Topic: Spreadsheet Format Zelle
Replies: 6
Views: 143

Re: Spreadsheet Format Zelle

hm Chris versteh ich nicht ganz, ich hole aus einer Datenbank den datensatz[11], wo soll ich da ein ` einfügen? Das blöde ist halt, dass dieser datensatz[11] halt mal ein klarer string, ansonsten als Integer angesehen wird. Dass str(datensatz[11]) was ja eigentlich den Integer auf jedenfall in einen...
by wafi
Thu Oct 17, 2019 3:19 pm
Forum: Forum in Deutsch
Topic: Spreadsheet Format Zelle
Replies: 6
Views: 143

Spreadsheet Format Zelle

ich hab ein kleines Problem. Ich nutze ein Spreadsheet um im Techdrawbereich eine Materialliste zu erstellen. Klappt eigentlich alles gut, die Einzelteile werden aus einer Datenbank eingelesen, nebst den Zeichnungen ... soweit so fein. Das einzige Problem, in der Datenbank haben die Bauteile Nummern...
by wafi
Sun Oct 06, 2019 9:09 am
Forum: Forum in Deutsch
Topic: Techdraw script
Replies: 1
Views: 112

Re: Techdraw script

so, Schlauch ist weg ... geht scheinbar nicht mit dem Befehl Std_SelectAll so wie kolportiert, sondern nur mit einem Umweg. Hab jetzt einen Code snipsel gefunden, damit geht es dann: for obj in FreeCAD.ActiveDocument.Objects: objName = obj.Name obj = App.ActiveDocument.getObject(objName) Gui.Selecti...
by wafi
Sat Oct 05, 2019 7:07 pm
Forum: Forum in Deutsch
Topic: Techdraw script
Replies: 1
Views: 112

Techdraw script

Moin, ich steh mal wieder auf dem Schlauch. In einem script sollen mehrere Objekte 2D mittels Techdraw dargestellt werden. Mein Problem ist dabei, dass ich es nicht schaffe alle Objekte zu markieren, entweder um die direkt auf die Page zu bringen oder zunächst als Gruppe oder Part zusammen zu fassen...
by wafi
Fri Sep 27, 2019 7:03 am
Forum: Forum in Deutsch
Topic: Array 3D Fehler
Replies: 5
Views: 133

Re: Array 3D Fehler

moin

vielen Dank.
microelly`s Ansatz funktioniert, muß noch über Array.NumberZ = st erweitert werden.

Die Version von Chris klappt zumindest in Version 17 nicht, werde das mal mit der 19 Version ausprobieren.

Gruß
Peter
by wafi
Fri Sep 27, 2019 4:35 am
Forum: Forum in Deutsch
Topic: Array 3D Fehler
Replies: 5
Views: 133

Array 3D Fehler

Moin mein kleines Problem ist, dass ich in einem Script Draft.Arrays kreieren will. Mache ich es so: xvector = FreeCAD.Vector(xv, 0, 0) yvector = FreeCAD.Vector(0, yv, 0) zvector = FreeCAD.Vector(0, 0, zv) Array = Draft.makeArray(App.ActiveDocument.ActiveObject, xvector, yvector, l, k) klappt alles,...
by wafi
Tue Aug 06, 2019 3:23 pm
Forum: Forum in Deutsch
Topic: importieren von parts
Replies: 9
Views: 600

Re: importieren von parts ... A2plus

So, nachdem ich nun Bauteile importieren kann, eine Stückliste daraus erstellen kann etc ... bin ich fast happy, es fehlt allerdings noch die Zeichnungsableitung. Hier komm ich nicht weiter, denn ich habe verschiedene Bauteile und kann nun zwar für jedes eine Zeichnungsableitung erstellen, aber Ziel...
by wafi
Sun Apr 07, 2019 12:51 pm
Forum: Forum in Deutsch
Topic: importieren von parts
Replies: 9
Views: 600

Re: importieren von parts

tja ... hab was gefunden was klappt: Gui.ActiveDocument.mergeProject("C:/DSV/items/"+item_data +".FCStd") So liest der mir die Bauteile aus der Bibilothek via script in eine neue Zeichnung ein und zwar ohne Umweg. Also hier mal der code so wie er bisher aussieht, lesen einer Excel Datei, daraus zusa...
by wafi
Sat Apr 06, 2019 9:02 am
Forum: Forum in Deutsch
Topic: importieren von parts
Replies: 9
Views: 600

Re: importieren von parts

hm Gift ich befürchte du hast recht. Ich muß mir mal die dateien der a2p workbensch genauer anschauen, da scheint es auch zunächst eine eigene Datei geöffnet zu werden, dann kopieren in die gewünschte Datei, dann die zuvor geöffnete wieder geschlossen. Kann man sicherlich machen, kommt mir nur irgen...

Go to advanced search